Package com.ocient.jdbc

# Enum Class XGConnection.Tls

java.lang.Object
java.lang.Enum<XGConnection.Tls>
com.ocient.jdbc.XGConnection.Tls

All Implemented Interfaces:
  `Serializable`, `Comparable<XGConnection.Tls>`, `Constable`

Enclosing class:
  XGConnection

public static enum XGConnection.Tls extends Enum<XGConnection.Tls>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`OFF`
`ON`
`UNVERIFIED`
`VERIFY`

## Method Summary

Modifier and Type
Method
Description
`static XGConnection.Tls`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static XGConnection.Tls[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### OFF

public static final XGConnection.Tls OFF

### UNVERIFIED

public static final XGConnection.Tls UNVERIFIED

### ON

public static final XGConnection.Tls ON

### VERIFY

public static final XGConnection.Tls VERIFY

## Method Details

### values

public static XGConnection.Tls[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static XGConnection.Tls valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null